{% extends 'base.html' %}

{% block header %}
  <h2>{% block title %}Daily Time Tracking Form{% endblock title%}</h2>
  {% for category, message in get_flashed_messages(with_categories=true) %}
  <div class="flash {{ category }}">{{ message }}</div>
  {% endfor %}
  <p>Please login the worked hours per project/product</p>
{% endblock header%}

{% block content %}
  <form method="POST" action="/form">
    <label for="date">Indicated Date:</label>
    <input type="date" id="date" name="date" required>
    {% for name in p_names %}
      <label for="{{ name }}">{{ name }}:</label>
      <select id="{{ name }}" name="{{ name }}">
        {% for hour in range(0, 17) %}
          <option value="{{ hour*0.5 }}">{{ hour*0.5 }}</option>
        {% endfor %}
      </select>
    {% endfor %}
    <input type="submit" value="Submit">
  </form>
{% endblock content %}

